# frozen_string_literal: true

require 'httparty'
require 'logger'

module Yade
  module Domain
    module Rest
      module Client
        include Yade::Common::Client

        # domain client
        class DomainClient < BaseClient
          include HTTParty
          #logger ::Logger.new(STDOUT), :debug

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadedomain', 'domain', 'Yade::Domain::Rest::Model::Domain')
          end
        end
      end
    end
  end
end
