# frozen_string_literal: true

require 'active_model'

module Yade
  module Domain
    module Rest
      module Model
        # Host
        class Host
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON

          attr_accessor :id, :name, :hostName, :ip, :username, :sshPort, :datacenter, :zone, :environmentType, :osType,
                        :isMaster, :domainId, :roleId

          validates_presence_of 'id', 'name', 'hostName', 'ip', 'username', 'datacenter', 'zone',
                                'environmentType', 'osType', 'domainId', 'roleId'

          def attributes
            instance_values
          end
        end

      end
    end
  end
end
