# frozen_string_literal: true

require 'active_model'

module Yade
  module Domain
    module Rest
      module Model
        # Role
        class Role
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON

          attr_accessor :id, :name

          validates_presence_of 'id', 'name'

          def attributes
            instance_values
          end
        end
      end
    end
  end
end
